Subject: bug#6376: 23.2; byte compile add-to-list report free variable

From: Kevin Ryde <[email-masked]>
Date: Sun, 13 Jun 2010 09:11:39 +1000

Stefan Monnier <[email-masked]> writes:
> add-hook

I was thinking of excusing add-hook and remove-hook because they can
work on an unbound variable, and might quite often do so if tying in to
something external.

> add-to-list is not only a "varset" but also a "varref"

I thought to show the message about setting in that case.  For the
unboundness check the two only differ in the wording I think.